Bug 58908 - No unused parameter warning from gcc 3.1-0.18
No unused parameter warning from gcc 3.1-0.18
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc3 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2002-01-27 13:39 EST by Peter Klotz
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-02 16:06:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Klotz 2002-01-27 13:39:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
gcc 3.1-0.18 does not emit a warning when a parameter is not used
in a constructor body. gcc 2.95.3 does.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. g++ -W -Wall -Wunused-parameter warning.cpp

Actual Results:  No warning is displayed

Expected Results:  Something like this (taken from gcc 2.95.3)

warning.cpp: In method `A::A(int)':
warning.cpp:4: warning: unused parameter `int i'

Additional info:

class A
    A(int i) {};

int main(void)
    return 0;
Comment 1 Jakub Jelinek 2004-10-02 16:06:24 EDT
Sounds like PR c++/9848, fixed ATM in GCC 3.4.x and later.
Though, there are now 2 warnings emitted instead of one, filed
as http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17796

Note You need to log in before you can comment on or make changes to this bug.